// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: Fact.java,v 1.6 2003/03/06 00:40:39 moltmans Exp $
// Fact.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Created: <Sun Apr 30 19:56:34 2000> 
// Time-stamp: <2000-07-19 16:34:39 moltmans> 
package rec.tms;

public interface Fact 
{
  public String getFactType();

  /**
   * @return true if this fact and fact could be used interchangably.
   **/
  public boolean sameFact( Fact fact );
  public String toEnglish();
}

    
